d1=load('Dark_2024_07_24_15_23_54.csv');
d2=load('Dark_2024_07_24_15_24_06.csv');
d3=load('Dark_2024_07_24_15_24_18.csv');
d4=load('Dark_2024_07_24_15_43_37.csv');
d5=load('Dark_2024_07_24_15_43_49.csv');
d6=load('Dark_2024_07_24_15_44_00.csv');
d7=load('Dark_2024_07_24_15_42_26.csv');
d8=load('Dark_2024_07_24_15_42_37.csv');
d9=load('Dark_2024_07_24_15_42_48.csv');

titletext1={'Readout Noise Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 0.1msec, T = 25degC, Duration = 10sec'};
titletext2={'Readout Noise Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 1msec, T = 25degC, Duration = 10sec'};
titletext3={'Readout Noise Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 10msec, T = 25degC, Duration = 10sec'};
titletext4={'Dark Output Voltage Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 0.1msec, T = 25degC, Duration = 10sec'};
titletext5={'Dark Output Voltage Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 1msec, T = 25degC, Duration = 10sec'};
titletext6={'Dark Output Voltage Data: (CE = 160nV/e-)';...
            'fop = 500kHz, Vdd = 5V, INP, Vinp,PDN = 4.0V, Fvref = 1.2V';...
             'Integration time = 10msec, T = 25degC, Duration = 10sec'};
ylabeltext1='Noise (mVRMS)';
ylabeltext2='Output Volage (mV)';

legendtext={'Sample1';'Sample2';'Sample3'};

fig1=figure(length(findobj('type','figure'))+1);
fig1.Units='normalized';
fig1.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig1.Position=[0,0.037037037037037,1,0.891666666666667];
fig1.PaperPosition=[.25 .25 10.5 8];
fig1.PaperOrientation='landscape';
fig1.PaperSize=[11 8.5];
plot(1:256,1000*[std(d1(:,10:265));std(d2(:,10:265));std(d3(:,10:265))],'LineWidth',2);
fig1.CurrentAxes.XGrid="on";
fig1.CurrentAxes.YGrid="on";
fig1.CurrentAxes.GridAlpha=.3;
fig1.CurrentAxes.FontSize=18;
fig1.CurrentAxes.YLim=[0 5];
title(titletext1);xlabel('ch');ylabel(ylabeltext1);legend(legendtext);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fig2=figure(length(findobj('type','figure'))+1);
fig2.Units='normalized';
fig2.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig2.Position=[0,0.037037037037037,1,0.891666666666667];
fig2.PaperPosition=[.25 .25 10.5 8];
fig2.PaperOrientation='landscape';
fig2.PaperSize=[11 8.5];
plot(1:256,1000*[std(d4(:,10:265));std(d5(:,10:265));std(d6(:,10:265))],'LineWidth',2);
fig2.CurrentAxes.XGrid="on";
fig2.CurrentAxes.YGrid="on";
fig2.CurrentAxes.GridAlpha=.3;
fig2.CurrentAxes.FontSize=18;
fig2.CurrentAxes.YLim=[0 5];
title(titletext2);xlabel('ch');ylabel(ylabeltext1);legend(legendtext);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fig3=figure(length(findobj('type','figure'))+1);
fig3.Units='normalized';
fig3.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig3.Position=[0,0.037037037037037,1,0.891666666666667];
fig3.PaperPosition=[.25 .25 10.5 8];
fig3.PaperOrientation='landscape';
fig3.PaperSize=[11 8.5];
plot(1:256,1000*[std(d7(:,10:265));std(d8(:,10:265));std(d9(:,10:265))],'LineWidth',2);
fig3.CurrentAxes.XGrid="on";
fig3.CurrentAxes.YGrid="on";
fig3.CurrentAxes.GridAlpha=.3;
fig3.CurrentAxes.FontSize=18;
fig3.CurrentAxes.YLim=[0 5];
title(titletext3);xlabel('ch');ylabel(ylabeltext1);legend(legendtext);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fig4=figure(length(findobj('type','figure'))+1);
fig4.Units='normalized';
fig4.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig4.Position=[0,0.037037037037037,1,0.891666666666667];
fig4.PaperPosition=[.25 .25 10.5 8];
fig4.PaperOrientation='landscape';
fig4.PaperSize=[11 8.5];
plot(1:256,1000*[mean(d1(:,10:265));mean(d2(:,10:265));mean(d3(:,10:265))],'LineWidth',2);
fig4.CurrentAxes.XGrid="on";
fig4.CurrentAxes.YGrid="on";
fig4.CurrentAxes.GridAlpha=.3;
fig4.CurrentAxes.FontSize=18;
fig4.CurrentAxes.YLim=[1200 1300];
title(titletext4);xlabel('ch');ylabel(ylabeltext2);legend(legendtext);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fig5=figure(length(findobj('type','figure'))+1);
fig5.Units='normalized';
fig5.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig5.Position=[0,0.037037037037037,1,0.891666666666667];
fig5.PaperPosition=[.25 .25 10.5 8];
fig5.PaperOrientation='landscape';
fig5.PaperSize=[11 8.5];
plot(1:256,1000*[mean(d4(:,10:265));mean(d5(:,10:265));mean(d6(:,10:265))],'LineWidth',2);
fig5.CurrentAxes.XGrid="on";
fig5.CurrentAxes.YGrid="on";
fig5.CurrentAxes.GridAlpha=.3;
fig5.CurrentAxes.FontSize=18;
fig5.CurrentAxes.YLim=[1200 1300];
title(titletext5);xlabel('ch');ylabel(ylabeltext2);legend(legendtext);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fig6=figure(length(findobj('type','figure'))+1);
fig6.Units='normalized';
fig6.OuterPosition=[-0.00416666666666667,0.0296296296296296,1.00833333333333,0.977777777777778];
fig6.Position=[0,0.037037037037037,1,0.891666666666667];
fig6.PaperPosition=[.25 .25 10.5 8];
fig6.PaperOrientation='landscape';
fig6.PaperSize=[11 8.5];
plot(1:256,1000*[mean(d7(:,10:265));mean(d8(:,10:265));mean(d9(:,10:265))],'LineWidth',2);
fig6.CurrentAxes.XGrid="on";
fig6.CurrentAxes.YGrid="on";
fig6.CurrentAxes.GridAlpha=.3;
fig6.CurrentAxes.FontSize=18;
fig6.CurrentAxes.YLim=[1200 1300];
title(titletext6);xlabel('ch');ylabel(ylabeltext2);legend(legendtext);
